"use strict";
const plugin_1 = require("./plugin");
const logger_1 = require("./logger");
function isValidTypeScriptVersion(typescript) {
    const servicesVersion = typescript.servicesVersion;
    const [major, minor] = servicesVersion.split('.');
    return (+major === 0 && +minor >= 8);
}
module.exports = function init({ typescript }) {
    return {
        create(info) {
            const logger = logger_1.Logger.forPlugin(info);
            if (!isValidTypeScriptVersion(typescript)) {
                logger.info('Invalid typescript version detected. The TSLint plugin requires a version of TS with a services version between 0.8 and 1.0');
                return info.languageService;
            }
            return new plugin_1.TSLintPlugin(typescript, logger, info.project, info.config)
                .decorate(info.languageService);
        },
    };
};
//# sourceMappingURL=index.js.map